{% extends "base.twig" %}

{% block content %}
<div class="home-actus">
  <h2 class="text-4xl">Nos dernières actualités</h2>
  {% for post in news %}

    <div class="max-w-sm w-full lg:max-w-full lg:flex mb-4 shadow-lg">
    {% if post.thumbnail.src %}
      <div class="h-48 lg:h-auto lg:w-48 flex-none bg-cover rounded-t lg:rounded-t-none lg:rounded-l text-center overflow-hidden" style="background-image: url('{{post.thumbnail.src}}')" title="{{ post.title }}"></div>
    {% endif %}
      <div class="border-gray-400 bg-white rounded-b lg:rounded-b-none lg:rounded-r p-4 flex flex-col justify-between leading-normal">
        <div class="mb-8">
          <h3 class="text-gray-900 font-bold text-xl mb-2"><a href="{{post.link}}">{{post.title}}</a></h3>
          <p class="text-gray-700 text-base">{{ post.preview.length(25).read_more('Lire la suite') }}</p>
        </div>
      </div>
    </div>
  {% endfor %}
</div>

<div class="home-podcasts">
  <h2 class="text-4xl">Nos derniers podcasts</h2>
    {% for podcast in podcasts %}
      <div class="w-full rounded overflow-hidden shadow-lg mb-4">
				<div class="px-6 py-4">
					<h3 class="font-bold text-lg mb-2"><a href="{{TimberPost(podcast.emission).link }}">{{ TimberPost(podcast.emission).title }}</a></h3>
					<p class="text-gray-700 text-base">Emission du {{ podcast.date_diffusion | date("d/m/Y") }}</p>
					<audio class="w-full"
						controls
						src="{{ podcast.url }}">
								Your browser does not support the
								<code>audio</code> element.
					</audio>
				</div>
				<div class="px-6 py-4">
					<span class="inline-block bg-gray-200 rounded-full px-3 py-1 text-sm font-semibold text-gray-700 mr-2"><a href="{{ TimberPost(podcast.emission).link }}">Voir l'émission</a></span>
				</div>
			</div>
    {% endfor %}
</div>

<div class="home-emission">
  <h2 class="text-4xl">Notre émission préférée</h2>
  {% for emi in emission %}
    <div class="max-w-sm w-full lg:max-w-full lg:flex mb-4 shadow-lg">
    {% if emi.thumbnail.src %}
      <div class="h-48 lg:h-auto lg:w-48 flex-none bg-cover rounded-t lg:rounded-t-none lg:rounded-l text-center overflow-hidden" style="background-image: url('{{emi.thumbnail.src}}')" title="{{ emi.title }}"></div>
    {% endif %}
      <div class="border-gray-400 bg-white rounded-b lg:rounded-b-none lg:rounded-r p-4 flex flex-col justify-between leading-normal">
        <div class="mb-8">
          <h3 class="text-gray-900 font-bold text-xl mb-2"><a href="{{ emi.link }}">{{ emi.title }}</a></h3>
          <p class="text-gray-700 text-base">{{ emi.preview.length(25).read_more('Lire la suite') }}</p>
        </div>
      </div>
    </div>
  {% endfor %}
</div>
{% endblock %}